# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{fpm}
  s.version = "1.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jordan Sissel"]
  s.date = %q{2015-07-27}
  s.default_executable = %q{fpm}
  s.description = %q{Convert directories, rpms, python eggs, rubygems, and more to rpms, debs, solaris packages and more. Win at package management without wasting pointless hours debugging bad rpm specs!}
  s.email = %q{jls@semicomplete.com}
  s.executables = ["fpm"]
  s.files = ["CHANGELIST", "CONTRIBUTORS", "LICENSE", "bin/fpm", "lib/fpm.rb", "lib/fpm/command.rb", "lib/fpm/errors.rb", "lib/fpm/namespace.rb", "lib/fpm/package.rb", "lib/fpm/package/cpan.rb", "lib/fpm/package/deb.rb", "lib/fpm/package/dir.rb", "lib/fpm/package/empty.rb", "lib/fpm/package/gem.rb", "lib/fpm/package/npm.rb", "lib/fpm/package/osxpkg.rb", "lib/fpm/package/p5p.rb", "lib/fpm/package/pear.rb", "lib/fpm/package/pkgin.rb", "lib/fpm/package/puppet.rb", "lib/fpm/package/pyfpm/__init__.py", "lib/fpm/package/pyfpm/get_metadata.py", "lib/fpm/package/python.rb", "lib/fpm/package/rpm.rb", "lib/fpm/package/sh.rb", "lib/fpm/package/solaris.rb", "lib/fpm/package/tar.rb", "lib/fpm/package/virtualenv.rb", "lib/fpm/package/zip.rb", "lib/fpm/util.rb", "lib/fpm/version.rb", "templates/deb.erb", "templates/deb/changelog.erb", "templates/deb/ldconfig.sh.erb", "templates/deb/postinst_upgrade.sh.erb", "templates/deb/postrm_upgrade.sh.erb", "templates/deb/preinst_upgrade.sh.erb", "templates/deb/prerm_upgrade.sh.erb", "templates/osxpkg.erb", "templates/p5p_metadata.erb", "templates/puppet/package.pp.erb", "templates/puppet/package/remove.pp.erb", "templates/rpm.erb", "templates/rpm/filesystem_list", "templates/sh.erb", "templates/solaris.erb"]
  s.homepage = %q{https://github.com/jordansissel/fpm}
  s.licenses = ["MIT-like"]
  s.require_paths = ["lib", "lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{fpm - package building and mangling}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<json>, [">= 1.7.7"])
      s.add_runtime_dependency(%q<cabin>, [">= 0.6.0"])
      s.add_runtime_dependency(%q<backports>, [">= 2.6.2"])
      s.add_runtime_dependency(%q<arr-pm>, ["~> 0.0.10"])
      s.add_runtime_dependency(%q<clamp>, ["~> 0.6"])
      s.add_runtime_dependency(%q<childprocess>, [">= 0"])
      s.add_runtime_dependency(%q<ffi>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0.0"])
      s.add_development_dependency(%q<insist>, ["~> 0.0.5"])
      s.add_development_dependency(%q<pry>, [">= 0"])
      s.add_development_dependency(%q<stud>, [">= 0"])
    else
      s.add_dependency(%q<json>, [">= 1.7.7"])
      s.add_dependency(%q<cabin>, [">= 0.6.0"])
      s.add_dependency(%q<backports>, [">= 2.6.2"])
      s.add_dependency(%q<arr-pm>, ["~> 0.0.10"])
      s.add_dependency(%q<clamp>, ["~> 0.6"])
      s.add_dependency(%q<childprocess>, [">= 0"])
      s.add_dependency(%q<ffi>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 3.0.0"])
      s.add_dependency(%q<insist>, ["~> 0.0.5"])
      s.add_dependency(%q<pry>, [">= 0"])
      s.add_dependency(%q<stud>, [">= 0"])
    end
  else
    s.add_dependency(%q<json>, [">= 1.7.7"])
    s.add_dependency(%q<cabin>, [">= 0.6.0"])
    s.add_dependency(%q<backports>, [">= 2.6.2"])
    s.add_dependency(%q<arr-pm>, ["~> 0.0.10"])
    s.add_dependency(%q<clamp>, ["~> 0.6"])
    s.add_dependency(%q<childprocess>, [">= 0"])
    s.add_dependency(%q<ffi>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 3.0.0"])
    s.add_dependency(%q<insist>, ["~> 0.0.5"])
    s.add_dependency(%q<pry>, [">= 0"])
    s.add_dependency(%q<stud>, [">= 0"])
  end
end
